My Oracle Support Banner

OFSAA OIDF Upgrade from 8.0.7 To 8.1 Failed with bad padding exception (Doc ID 2767287.1)

Last updated on APRIL 13, 2021

Applies to:

Oracle Financial Services Analytical Applications Infrastructure - Version 8.1.0.0.0 and later
Information in this document applies to any platform.

Symptoms

 On upgrade of OIDF from 807 to 8.1, ficserver was not starting up because of the below exception and hence upgrade did not go through:

java.lang.Exception: javax.crypto.BadPaddingException: Given final block not properly padded
at com.iflex.fic.util.AESCryptor.AESECBcrypter.decrypt(AESECBcrypter.java:218)
at com.iflex.fic.util.AESCryptor.AESCryptor.decrypt(AESCryptor.java:282)
at UpdateLRMSKUbase.checkForAAIpack(UpdateLRMSKUbase.java:115)
at UpdateLRMSKUbase.main(UpdateLRMSKUbase.java:72)
Caused by: javax.crypto.BadPaddingException: Given final block not properly padded

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.